;; -*- Mode: emacs-lisp; indent-tabs-mode: t; tab-width: 4; -*-
;; t-gnus-init.el
;;
;; Takuo KITAME <kitame@northeye.org>

(if (featurep' mule)
    (progn
      (setq load-path 
			(cons 
			 (concat "/usr/share/" (symbol-name debian-emacs-flavor)
					 "/site-lisp/t-gnus")
			 load-path))
      
      (autoload 'gnus "gnus" "Read network news" t)
      (autoload 'gnus-post-news "gnus" "Post a news" t)
      
      (add-hook 'message-setup-hook 'turn-on-mime-edit)

      (if (string-match "mule2" (symbol-name debian-emacs-flavor))
		  (let ((symbols '(citation-line-function
						   cite-function courtesy-message default-headers
						   default-mail-headers default-news-headers
						   deletable-headers fcc-handler-function
						   followup-to-function from-style
						   generate-headers-first generate-new-buffers
						   ignored-bounced-headers ignored-cited-headers
						   ignored-mail-headers ignored-news-headers
						   ignored-resent-headers ignored-supersedes-headers
						   included-forward-headers indent-citation-function
						   interactive kill-buffer-on-exit post-method
						   reply-to-function required-mail-headers
						   required-news-headers send-mail-function
						   send-news-function signature
						   signature-before-forwarded-message signature-file
						   signature-separator syntax-checks use-followup-to
						   user-organization-file wide-reply-to-function
						   yank-prefix))
				symbol)
			(while symbols
			  (setq symbol (car symbols)
					symbols (cdr symbol))
			  (makunbound (intern (format "message-%s" symbol)))))
		)
      ))
